Skip to main content
GET
/
notification-settings
cURL
curl -X GET "https://app.cotool.ai/notification-settings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "settings": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "notifyAllItems": true,
    "notifyRelevantItems": true,
    "notifyExposedItems": true,
    "destinationIds": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "createdAt": "<string>",
    "updatedAt": "<string>"
  },
  "destinations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "type": "<string>",
      "config": {
        "url": "<string>",
        "headerName": "<string>"
      },
      "token": "<string>",
      "hasToken": true
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Response

Successful response

settings
object
required

Organization-wide notification settings for threat intel

destinations
object[]
required

Available output destinations for the organization